;InnoSetupVersion=5.3.5

[Setup]
AppName=Auslogics Disk Defrag
AppVerName=Auslogics Disk Defrag 3.0
AppId={{DF6A13C0-77DF-41FE-BD05-6D5201EB0CE7}
AppVersion=version 3.0
AppPublisher=Auslogics Software Pty Ltd
AppPublisherURL=http://www.auslogics.com/go/diskdefrag-3/en
AppSupportURL=http://www.auslogics.com/go/diskdefrag-3/en/support.php
AppUpdatesURL=http://www.auslogics.com/go/diskdefrag-3/en/software/disk-defrag
AppMutex={{8D622ABC-7F4F-49CF-A95A-86F8A21753BA}diskde.exe
DefaultDirName={pf}\Auslogics\Auslogics Disk Defrag
DefaultGroupName=Auslogics\Disk Defrag
UninstallDisplayIcon={app}\DiskDefrag.exe
UninstallDisplayName=Auslogics Disk Defrag
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\DiskDefrag,1.exe"; DestDir: "{app}"; DestName: "DiskDefrag.exe"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\AusShellExt.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\AxComponents20.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\cdefrag.exe"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\commonforms.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\DebugMode.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\DiskDefrag,2.exe"; DestDir: "{app}"; DestName: "DiskDefrag.exe"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\DiskDefragHelper.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\EULA.rtf"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\helper.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\localizer.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madBasic_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madDisAsm_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\madExcept_.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\RepLibrary.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\rtl120.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Settings.dll"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\vcl120.bpl"; DestDir: "{app}"; MinVersion: 4.1.1998,5.0.2195; Flags: ignoreversion 
Source: "{app}\Data\main,1.ini"; DestDir: "{app}\Data"; DestName: "main.ini"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Data\main,2.ini"; DestDir: "{app}\Data"; DestName: "main.ini"; Check: "IsInstallRussianLangFile"; MinVersion: 0.0,5.01.2600; 
Source: "{app}\Lang\deu.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\enu.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\fra.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\ita.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\jpn.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\kor.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\plk.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\ptg.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 
Source: "{app}\Lang\rus.lng"; DestDir: "{app}\Lang"; MinVersion: 0.0,5.01.2600; Flags: ignoreversion 

[Dirs]
Name: "{app}\Data\"; 
Name: "{app}\Lang\"; 

[Registry]
Root: HKCU; Subkey: "Software\Auslogics\Disk Defrag"; MinVersion: 0.0,5.01.2600; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Auslogics\DebugMode"; MinVersion: 0.0,5.01.2600; Flags: uninsdeletekey deletekey noerror 

[INI]
FileName: "{app}\diskdefrag.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.auslogics.com/go/diskdefrag-3/en/software/disk-defrag"; 

[Run]
Filename: "{app}\DiskDefrag.exe"; Description: "{cm:LaunchProgram,Auslogics Disk Defrag}"; MinVersion: 0.0,5.01.2600; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userdesktop}\Auslogics Disk Defrag"; Filename: "{app}\diskdefrag.exe"; Tasks: desktopicon; MinVersion: 0.0,5.01.2600; 
Name: "{group}\Auslogics Disk Defrag"; Filename: "{app}\diskdefrag.exe"; MinVersion: 0.0,5.01.2600; 
Name: "{group}\{cm:ProgramOnTheWeb,Auslogics Disk Defrag}"; Filename: "http://www.auslogics.com/go/diskdefrag-3/en/software/disk-defrag"; IconFilename: "{sys}\url.dll"; MinVersion: 0.0,5.01.2600; 
Name: "{group}\{cm:UninstallProgram,Auslogics Disk Defrag}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.01.2600; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; MinVersion: 0.0,5.01.2600; 

[InstallDelete]
Type: files; Name: "{app}\Lang\*"; 

[UninstallDelete]
Type: files; Name: "{app}\diskdefrag.url"; 

[CustomMessages]
English.NameAndVersion=%1 version %2
English.AdditionalIcons=Additional icons:
English.CreateDesktopIcon=Create a &desktop icon
English.CreateQuickLaunchIcon=Create a &Quick Launch icon
English.CreateAutorun=&Run the program when I log on to Windows
English.ProgramOnTheWeb=%1 on the Web
English.UninstallProgram=Uninstall %1
English.LaunchProgram=Launch %1
English.AssocFileExtension=&Associate %1 with the %2 file extension
English.AssocingFileExtension=Associating %1 with the %2 file extension...
English.MutexSetupAppRunningError=Setup has detected that Auslogics Disk Defrag is currently running.%n%nPlease close all instances of it now, then click OK to continue, or Cancel to exit.
Russian.NameAndVersion=%1,  %2
Russian.AdditionalIcons= :
Russian.CreateDesktopIcon=   & 
Russian.CreateQuickLaunchIcon=   &  
Russian.CreateAutorun=   & Windows
Russian.ProgramOnTheWeb= %1  
Russian.UninstallProgram= %1
Russian.LaunchProgram= %1
Russian.AssocFileExtension=& %1  ,   %2
Russian.AssocingFileExtension= %1   %2...
Russian.MutexSetupAppRunningError=   Auslogics Disk Defrag ,    ,   <OK>,  ,  <>,  .

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; 
Name: "Russian"; MessagesFile: "embedded\Russian.isl"; 
